package cz.moneta.test.harness.support.greenscreen;

import java.lang.annotation.ElementType;
import java.lang.annotation.Repeatable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Repeatable(StoreContents.class)
public @interface StoreContent {

    String storeKey();

    int row() default 1;

    int column() default 1;

    int length() default 0;
}
